求助编译安装

为当前最终发行版之前的所有版本提供支持
回复
palalala
帖子: 23
注册时间: 2006-09-06 0:21
送出感谢: 0
接收感谢: 0

求助编译安装

#1

帖子 palalala » 2006-10-27 2:22

viewtopic.php?t=28696



我有个软件必须编译安装,刚接触Linux不长,以前没有用过编译安装,有几个问题想请教一下。
我要安的那个软件,有一个子文件夹里install文件内容是
Compile AutoTors using the following command:
% cc autotors.c -o autotors -lm
You can also use 'gcc' or 'CC' instead of 'cc'.
是不是我在配置时应该写成

代码: 全选

./configure cc autotors.c -o autotors -lm
(前头那个%)不用加吧?最后一行说的gcc CC之类的不用改吧?apt-get build-essential时应该默认cc gcc CC都安装了吧?

还有就是有几个子文件夹里没有install文件,那么我还需要进行 ./configure 的配置么?

谢谢
回复

回到 “老旧版本支持”